Subject: Ticket Assigned - Complaint!!!
From: Splash <[email-masked]>
To: [email-masked]
Date: Mon, 10 Jan 2022 05:48:39 +0000

Hi Mohammad Tawfik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Complaint!!! 
COMPLAINTTTT!!!!!!!

My Order 9516747282 was placed on 1st december 2021. Return of many items was raised on 2nd december.  Its  been 27 days since then and no one has picked the items!!! I have contacted customer service for almost 7-8 times now and everytime they say the courier will come in 2-3 days. This is not justified!!! Not even once has the courier contacted me or Splash ever followed up with the request. I will never ever order online, if this is the kind of white lies you will give to the customer every time they call.. What kind of service is this? I am a regular splash buyer but If this is how u want to continue then I will make sure I or my friends never purchase from splash and raise this issue on social media as well!!

Pathetic service, no person to take authority.
Very very very dissapointed!!
Get Outlook for Android<https://aka.ms/AAb9ysg>

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3674527